<nav class="panel">
    <p class="panel-heading">
        Test results for category {{ key }}
    </p>
    {{ #if (not (empty tests)) }}
        {{ #each tests }}
            <div class="panel-block">
                <div>
                    <b>{{ this.name }}</b>

                    {{ #if (some this.result) }}
                        {{ #if (unwrap this.result )}}
                            <span class="has-text-danger">did not pass baseline</span>
                        {{ else }}
                            <span class="has-text-info">passed baseline</span>
                        {{ /if }}
                    {{ else }}
                        <span class="has-text-warning">Cannot process test as an error occured. Please see app logs.</span>
                    {{ /if }}

                    {{{ this.result_detail }}}
                </div>
            </div>
        {{ /each }}
    {{ else }}
        <div class="panel-block">
            No tests are defined within this category.
        </div>
    {{ /if }}
</nav>